Subject: Re: [PATCH]: Add Network Sysrq Support

From: Prarit Bhargava <[email-masked]>
Date: Wed, 22 Jun 2011 06:42:36 -0400

On 06/22/2011 06:35 AM, David Miller wrote:
> From: Prarit Bhargava <[email-masked]>
> Date: Wed, 22 Jun 2011 06:26:23 -0400
>
>   
>> Using the netfilter xt-SYSRQ code seems to store the entered code and
>> execute it later after the system has returned to a normal state....
>> which is much too late to be useful.
>>     
> So add a feature that allows xt-SYSRQ to not queue the request
> and instead execute it immediately in softirq context.
>
> I don't see what the big deal is.
>   

I'm not familiar with the netfilter code and was about to ask some other
colleagues about it ... but I think you answered my main question which
was "does netfilter do things in interrupt context?"

P.